Subject: Re: bug#77544: (WIP) [PATCH] Prettify page separators.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Apr 2025 13:58:50 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 06 Apr 2025 16:07:06 +0530
> 
> [ஞாயிறு ஏப்ரல் 06, 2025] Eli Zaretskii wrote:
> 
> > Thanks, but what does this do on TTY frames?  We'd want to show
> > dashes, I think.
> 
> I see no difference from the line in show in a GUI frame, and in xterm.
> However, I don't see a line at all in the Linux tty thingy.  The font
> used in xterm does not seem to matter either.
> 
> > Besides, we don't have any control on the thickness of the
> > strike-through line, something that would be a natural extension here.
> > And it sounds like a kludge to me, TBH.
> 
> More styling for the horizontal line, similar to what have for
> :underline, would be nice to have too.  And I agree, it is a bit of
> hack.

I think a new kind of display property is a cleaner solution.  It will
also make it easier to extend the feature, e.g., if we want the visual
appearance be more like what word processors show for a "page break".